/*****************************************************************************
 * $Id: gfx_shared_ptr.hh,v 1.17 2006/10/10 04:14:55 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Template class for sharing objects by pointer.
 * @remarks See gfx_shared_ptr_2.hh.
 *//*
 * LEGAL:	COPYRIGHT (C) JIM E. BROOKS 2005
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef GFX_SHARED_PTR_HH
#define GFX_SHARED_PTR_HH

// See gfx_shared_ptr_2.hh

// SharedPtr for sharing an individual object.
#define SharedPtr				SharedPtr
#define SharedPtrDeleteObj		DELETE_NULL
#include "gfx_shared_ptr_2.hh"
#undef SharedPtr
#undef SharedPtrDeleteObj

// SharedPtrArr for sharing an array.
#define SharedPtr				SharedPtrArr
#define SharedPtrDeleteObj		DELETE_ARR_NULL
#include "gfx_shared_ptr_2.hh"
#undef SharedPtr
#undef SharedPtrDeleteObj

#endif // GFX_SHARED_PTR_HH
