/*****************************************************************************
 * $Id: mod_pony_listeners.hh,v 1.2 2006/11/25 22:34:36 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Event listeners.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#if COMPILING_MODULE_PONY

// Reused for declaring listeners as friends of the Module class.

#undef MODULE_PONY_LISTENERS
#undef MODULE_PONY_LISTENER_TYPE
#if MODULE_PONY_LISTENERS_FRIEND
#	define MODULE_PONY_LISTENERS			1
#	define MODULE_PONY_LISTENER_TYPE		friend
#elif MOD_PONY_LISTENERS_CC
#	define MODULE_PONY_LISTENERS			1
#	define MODULE_PONY_LISTENER_TYPE
#endif

#if MODULE_PONY_LISTENERS

MODULE_PONY_LISTENER_TYPE void
Listener_ModulePony_EngineReady( void );

MODULE_PONY_LISTENER_TYPE void
Listener_ModulePony_ResetScene( void );

MODULE_PONY_LISTENER_TYPE void
Listener_ModulePony_PreDrawViews( void );

MODULE_PONY_LISTENER_TYPE void
Listener_ModulePony_LodUserChange( void );

MODULE_PONY_LISTENER_TYPE void
Listener_ModulePony_PrintStats( void );

MODULE_PONY_LISTENER_TYPE void
Listener_ModulePony_TextureFilter_Cloud( string& textureName );

MODULE_PONY_LISTENER_TYPE void
Listener_CumulusCloud_Weather( void );

#endif // MODULE_PONY_LISTENERS

#endif // COMPILING_MODULE_PONY
