/*****************************************************************************
 * $Id: mod_pony_weather.cc,v 1.1 2006/11/25 17:41:34 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Weather.
 *//*
 * LEGAL:	COPYRIGHT (C) 2006 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#define MOD_PONY_WEATHER_CC 1
#include "mod_pony_common.hh"
#include "mod_pony_weather.hh"
#include "mod_pony_event.hh"
#include "gfx_random.hh"

////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////  Weather  ///////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

/*****************************************************************************
 * Set time.
 *****************************************************************************/
void
Weather::SetTime( eTime time )
{
	mTime = time;

	// Broadcast this weather event.
	gModulePonyEvent.mWeather.Broadcast();
}

/*****************************************************************************
 * Cycle weather time.
 *****************************************************************************/
void
Weather::CycleTime( void )
{
	SetTime( mTime == eTime_DAY ? eTime_SUNSET : eTime_DAY );
}
